## sgt-puzzles 20170606.272beef

=== icons/Makefile ===
# Makefile for Puzzles icons.

PUZZLES = blackbox bridges cube dominosa fifteen filling flip flood	\
	  galaxies guess inertia keen lightup loopy magnets map mines	\
	  net netslide palisade pattern pearl pegs range rect		\
	  samegame signpost singles sixteen slant solo tents towers	\
	  twiddle tracks undead unequal unruly untangle

BASE = $(patsubst %,%-base.png,$(PUZZLES))
WEB = $(patsubst %,%-web.png,$(PUZZLES))

IBASE = $(patsubst %,%-ibase.png,$(PUZZLES))
IBASE4 = $(patsubst %,%-ibase4.png,$(PUZZLES))
P48D24 = $(patsubst %,%-48d24.png,$(PUZZLES))
P48D8 = $(patsubst %,%-48d8.png,$(PUZZLES))
P48D4 = $(patsubst %,%-48d4.png,$(PUZZLES))
P32D24 = $(patsubst %,%-32d24.png,$(PUZZLES))
P32D8 = $(patsubst %,%-32d8.png,$(PUZZLES))
P32D4 = $(patsubst %,%-32d4.png,$(PUZZLES))
P16D24 = $(patsubst %,%-16d24.png,$(PUZZLES))
P16D8 = $(patsubst %,%-16d8.png,$(PUZZLES))
P16D4 = $(patsubst %,%-16d4.png,$(PUZZLES))
ICONS = $(patsubst %,%.ico,$(PUZZLES))
CICONS = $(patsubst %,%-icon.c,$(PUZZLES))
RC = $(patsubst %,%.rc,$(PUZZLES))

BIN = ../
PIC = ./

# Work around newer ImageMagick unilaterally distorting colours when
# converting to PNG.
CSP = -set colorspace RGB

base: $(BASE)
web: $(WEB)
pngicons: $(P48D24) $(P32D24) $(P16D24)
winicons: $(ICONS) $(RC)
gtkicons: $(CICONS)
all: base web pngicons winicons gtkicons

# Build the base puzzle screenshots from which all the other images
# are derived. Some of them involve showing a move animation
# part-way through.
fifteen-base.png : override REDO=0.3
flip-base.png : override REDO=0.3
netslide-base.png : override REDO=0.3
sixteen-base.png : override REDO=0.3
twiddle-base.png : override REDO=0.3
$(BASE): %-base.png: $(BIN)% $(PIC)%.sav
	$(PIC)screenshot.sh $(BIN)$* $(PIC)$*.sav $@ $(REDO)

# Build the screenshots for the web, by scaling the original base
# images to a uniform size.
$(WEB): %-web.png: %-base.png
	$(PIC)square.pl 150 5 $^ $@

# Build the base _icon_ images, by careful cropping of the base
# images: icons are very small so it's often necessary to zoom in
# on a smaller portion of the screenshot.
blackbox-ibase.png : override CROP=352x352 144x144+0+208
bridges-ibase.png : override CROP=264x264 107x107+157+157
dominosa-ibase.png : override CROP=304x272 152x152+152+0
fifteen-ibase.png : override CROP=240x240 120x120+0+120
filling-ibase.png : override CROP=256x256 133x133+14+78
flip-ibase.png : override CROP=288x288 145x145+120+72
galaxies-ibase.png : override CROP=288x288 165x165+0+0
guess-ibase.png : override CROP=263x420 178x178+75+17
inertia-ibase.png : override CROP=321x321 128x128+193+0
keen-ibase.png : override CROP=288x288 96x96+24+120
lightup-ibase.png : override CROP=256x256 112x112+144+0
loopy-ibase.png : override CROP=257x257 113x113+0+0
magnets-ibase.png : override CROP=264x232 96x96+36+100
mines-ibase.png : override CROP=240x240 110x110+130+130
net-ibase.png : override CROP=193x193 113x113+0+80
netslide-ibase.png : override CROP=289x289 144x144+0+0
palisade-ibase.png : override CROP=288x288 192x192+0+0
pattern-ibase.png : override CROP=384x384 223x223+0+0
pearl-ibase.png : override CROP=216x216 94x94+108+15
pegs-ibase.png : override CROP=263x263 147x147+116+0
range-ibase.png : override CROP=256x256 98x98+111+15
rect-ibase.png : override CROP=205x205 115x115+90+0
signpost-ibase.png : override CROP=240x240 98x98+23+23
singles-ibase.png : override CROP=224x224 98x98+15+15
sixteen-ibase.png : override CROP=288x288 144x144+144+144
slant-ibase.png : override CROP=321x321 160x160+160+160
solo-ibase.png : override CROP=481x481 145x145+24+24
tents-ibase.png : override CROP=320x320 165x165+142+0
towers-ibase.png : override CROP=300x300 102x102+151+6
tracks-ibase.png : override CROP=246x246 118x118+6+6
twiddle-ibase.png : override CROP=192x192 102x102+69+21
undead-ibase.png : override CROP=416x480 192x192+16+80
unequal-ibase.png : override CROP=208x208 104x104+104+104
untangle-ibase.png : override CROP=320x320 164x164+3+116
$(IBASE): %-ibase.png: %-base.png
	$(PIC)crop.sh $^ $@ $(CROP)

# Convert the full-size icon images to 4-bit colour, because that
# seems to work better than reducing it in 24 bits and then
# dithering.
$(IBASE4): %-ibase4.png: %-ibase.png
	convert -colors 16 +dither $(CSP) -map $(PIC)win16pal.xpm $^ $@

# Build the 24-bit PNGs for the icons, at three sizes.
$(P48D24): %-48d24.png: %-ibase.png
	$(PIC)square.pl 48 4 $^ $@
$(P32D24): %-32d24.png: %-ibase.png
	$(PIC)square.pl 32 2 $^ $@
$(P16D24): %-16d24.png: %-ibase.png
	$(PIC)square.pl 16 1 $^ $@

# The 8-bit icon PNGs are just custom-paletted quantisations of the
# 24-bit ones.
$(P48D8) $(P32D8) $(P16D8): %d8.png: %d24.png
	convert -colors 256 $^ $@

# But the depth-4 images work better if we re-shrink from the
# ibase4 versions of the images, and then normalise the colours
# again afterwards. (They're still not very good, but my hope is
# that on most modern Windows machines this won't matter too
# much...)
$(P48D4): %-48d4.png: %-ibase4.png
	$(PIC)square.pl 48 1 $^ $@-tmp2.png
	convert -colors 16 $(CSP) -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png
$(P32D4): %-32d4.png: %-ibase.png
	$(PIC)square.pl 32 1 $^ $@-tmp2.png
	convert -colors 16 $(CSP) -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png
$(P16D4): %-16d4.png: %-ibase.png
	$(PIC)square.pl 16 1 $^ $@-tmp2.png
	convert -colors 16 $(CSP) -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png

# Build the actual Windows icons themselves, by feeding all those
# PNGs to my icon builder script.
$(ICONS): %.ico: %-48d24.png %-48d8.png %-48d4.png \
                 %-32d24.png %-32d8.png %-32d4.png \
                 %-16d24.png %-16d8.png %-16d4.png
	$(PIC)icon.pl -24 $*-48d24.png $*-32d24.png $*-16d24.png \
		      -8  $*-48d8.png  $*-32d8.png  $*-16d8.png  \
		      -4  $*-48d4.png  $*-32d4.png  $*-16d4.png  > $@

# Build the .RC files which bind the icons into the applications.
$(RC): %.rc:
	echo '#include "puzzles.rc2"' > $@
	echo '200 ICON "$*.ico"' >> $@

# Build the GTK icon source files.
$(CICONS): %-icon.c: %-16d24.png %-32d24.png %-48d24.png
	$(PIC)cicon.pl $^ > $@	

clean:
	rm -f *.png *.ico *.rc *-icon.c

=== debian/changelog ===
sgt-puzzles (20170606.272beef-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Avoid FTBFS by building with -O2 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Aug 2017 19:33:32 +0000

sgt-puzzles (20170606.272beef-1) unstable; urgency=medium

  * New upstream version:
    - Make cellsize a char. (Closes: #871134)
  * Change upstream source and homepage URLs to use HTTP-S
  * Stop excluding puzzles.chm file from orig tarball, as it is now generated
    with only free tools
  * Update Standards-Version to 4.0.1:
    - Remove menu file
    - Change Priority to optional

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 17 Aug 2017 02:59:24 +0100

=== debian/control ===
Source: sgt-puzzles
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
Section: games
Priority: optional
Build-Depends: debhelper (>= 9), halibut, libgtk-3-dev, liblocale-po-perl, perl, po4a, autoconf, automake
Standards-Version: 4.0.1
Homepage: https://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Vcs-Git: https://git.decadent.org.uk/git/sgt-puzzles.git/
Vcs-Browser: https://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

Package: sgt-puzzles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yelp | khelpcenter | www-browser
Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
 Simon Tatham's Portable Puzzle Collection contains a number of popular
 puzzle games for one player.  It currently consists of these games:
 .
  * Black Box, ball-finding puzzle
  * Bridges, bridge-placing puzzle
  * Cube, rolling cube puzzle
  * Dominosa, domino tiling puzzle
  * Fifteen, sliding block puzzle
  * Filling, polyomino puzzle
  * Flip, tile inversion puzzle
  * Galaxies, symmetric polyomino puzzle
  * Guess, combination-guessing puzzle
  * Inertia, gem-collecting puzzle
  * Keen, arithmetic Latin square puzzle
  * Light Up, light-bulb placing puzzle
  * Loopy, loop-drawing puzzle
  * Magnets, magnet-placing puzzle
  * Map, map-colouring puzzle
  * Mines, mine-finding puzzle
  * Net, network jigsaw puzzle
  * Netslide, toroidal sliding network puzzle
  * Pattern
  * Pearl, loop-drawing puzzle
  * Pegs, peg solitaire puzzle
  * Range, visible-distance puzzle
  * Rectangles
  * Same Game, block-clearing puzzle
  * Signpost, square-connecting puzzle
  * Singles, number-removing puzzle
  * Sixteen, toroidal sliding block puzzle
  * Slant, maze-drawing puzzle
  * Solo, number placement puzzle
  * Tents, tent-placing puzzle
  * Towers, tower-placing Latin square puzzle
  * Twiddle, rotational sliding block puzzle
  * Undead, monster-placing puzzle
  * Unequal, Latin square puzzle
  * Unruly, black and white grid puzzle
  * Untangle, planar graph layout puzzle

=== debian/rules ===
#!/usr/bin/make -f

# We require some bash features
override SHELL := /bin/bash

include /usr/share/dpkg/default.mk

LANGUAGES := en $(patsubst debian/po/%.po,%,$(wildcard debian/po/*.po))

# Distributed files that we regenerate
AUTOGEN_FILES := HACKING Makefile.am Makefile.cyg Makefile.emcc \
		 Makefile.gnustep Makefile.gtk Makefile.in Makefile.nestedvm \
		 Makefile.osx Makefile.vc Makefile.wce aclocal.m4 configure \
		 depcomp install-sh list.c missing preprocessed.but \
		 puzzles.cnt puzzles.hlp puzzles.txt

CFLAGS += -Wno-error=deprecated-declarations
ifeq ($(DEB_HOST_ARCH), ppc64el)
CFLAGS := $(filter-out -O3,$(CFLAGS)) -O2
endif

%:
	dh $@

override_dh_auto_configure:
	./mkfiles.pl
	./mkauto.sh
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -DDEBIAN_VERSION=\"\\\"$(DEB_VERSION)\\\"\"" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --bindir=/usr/games --program-prefix=sgt-
	[ -L po ] || ln -s debian/po po
	rm -f preprocessed.but

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -f Makefile.doc BINPREFIX=sgt-

# Disable running tests; upstream tarballs don't include the necessary files
override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/sgt-puzzles install

override_dh_installdocs:
	for lang in $(LANGUAGES); do \
		dh_install doc/html-$$lang/*.html usr/share/sgt-puzzles/help/$$lang \
		|| exit; \
	done
	dh_installdocs

override_dh_installman:
	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} doc/man-$$lang/* || exit; \
	done

override_dh_install:
	dh_install debian/desktop/*.desktop usr/share/applications
	for icon in icons/*-48d24.png; do \
	    base="$$(basename $$icon -48d24.png)" && \
	    install -m644 $$icon debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/sgt-$$base.png \
	    || exit; \
	done

override_dh_auto_clean:
	! [ -f Makefile ] || $(MAKE) distclean
	$(MAKE) -f Makefile.doc clean
	if [ -d .git ]; then				\
		git checkout HEAD $(AUTOGEN_FILES);	\
	else						\
		rm -f $(AUTOGEN_FILES);			\
	fi
	rm -f po
	dh_clean debian/sgt-puzzles.menu debian/substvars compile gamedesc.txt version2.def

get-orig-source:
	wget -O puzzles-new.tar.gz https://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles.tar.gz
	version="$$(tar -xOzf puzzles-new.tar.gz --wildcards '*/version.h' | \
		    sed -n 's/^\#define VER "Version \([^ ]*\)"$$/\1/p')" \
	&& test -n "$$version"						\
	&& mv puzzles-new.tar.gz ../"sgt-puzzles_$$version.orig.tar.gz"

## sgt-puzzles 20191231.79a5378

=== icons/Makefile ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 IBASE = $(patsubst %,%-ibase.png,$(PUZZLES))
 IBASE4 = $(patsubst %,%-ibase4.png,$(PUZZLES))
+P96D24 = $(patsubst %,%-96d24.png,$(PUZZLES))
+P96D8 = $(patsubst %,%-96d8.png,$(PUZZLES))
+P96D4 = $(patsubst %,%-96d4.png,$(PUZZLES))
 P48D24 = $(patsubst %,%-48d24.png,$(PUZZLES))
 P48D8 = $(patsubst %,%-48d8.png,$(PUZZLES))
 P48D4 = $(patsubst %,%-48d4.png,$(PUZZLES))
@@ -33,7 +36,7 @@
 
 base: $(BASE)
 web: $(WEB)
-pngicons: $(P48D24) $(P32D24) $(P16D24)
+pngicons: $(P96D24) $(P48D24) $(P32D24) $(P16D24)
 winicons: $(ICONS) $(RC)
 gtkicons: $(CICONS)
 all: base web pngicons winicons gtkicons
@@ -100,7 +103,9 @@
 $(IBASE4): %-ibase4.png: %-ibase.png
 	convert -colors 16 +dither $(CSP) -map $(PIC)win16pal.xpm $^ $@
 
-# Build the 24-bit PNGs for the icons, at three sizes.
+# Build the 24-bit PNGs for the icons, at four sizes.
+$(P96D24): %-96d24.png: %-ibase.png
+	$(PIC)square.pl 96 4 $^ $@
 $(P48D24): %-48d24.png: %-ibase.png
 	$(PIC)square.pl 48 4 $^ $@
 $(P32D24): %-32d24.png: %-ibase.png
@@ -110,7 +115,7 @@
 
 # The 8-bit icon PNGs are just custom-paletted quantisations of the
 # 24-bit ones.
-$(P48D8) $(P32D8) $(P16D8): %d8.png: %d24.png
+$(P96D8) $(P48D8) $(P32D8) $(P16D8): %d8.png: %d24.png
 	convert -colors 256 $^ $@
 
 # But the depth-4 images work better if we re-shrink from the
@@ -118,6 +123,10 @@
 # again afterwards. (They're still not very good, but my hope is
 # that on most modern Windows machines this won't matter too
 # much...)
+$(P96D4): %-96d4.png: %-ibase4.png
+	$(PIC)square.pl 96 1 $^ $@-tmp2.png
+	convert -colors 16 $(CSP) -map $(PIC)win16pal.xpm $@-tmp2.png $@
+	rm -f $@-tmp2.png
 $(P48D4): %-48d4.png: %-ibase4.png
 	$(PIC)square.pl 48 1 $^ $@-tmp2.png
 	convert -colors 16 $(CSP) -map $(PIC)win16pal.xpm $@-tmp2.png $@
@@ -146,7 +155,7 @@
 	echo '200 ICON "$*.ico"' >> $@
 
 # Build the GTK icon source files.
-$(CICONS): %-icon.c: %-16d24.png %-32d24.png %-48d24.png
+$(CICONS): %-icon.c: %-16d24.png %-32d24.png %-48d24.png %-96d24.png
 	$(PIC)cicon.pl $^ > $@	
 
 clean:

=== debian/changelog ===
sgt-puzzles (20191231.79a5378-6) unstable; urgency=medium

  * Map: add missing sresize in new_game_desc(). (fixes FTFS on some
    architectures)

 -- Ben Hutchings <benh@debian.org>  Wed, 16 Feb 2022 01:08:13 +0100

sgt-puzzles (20191231.79a5378-5) unstable; urgency=medium

  * Fix dark theme detection

 -- Ben Hutchings <benh@debian.org>  Mon, 14 Feb 2022 02:45:08 +0100

sgt-puzzles (20191231.79a5378-4) unstable; urgency=medium

  * debian/copyright: Use the standard short name "Expat" for the license
  * Palisade: fix clue type (Closes: #973264)
  * Do not override window background colour when using a dark theme
    (Closes: #944237)
  * lintian: Override false positive missing-depends-on-sensible-utils
  * d/control: Use my debian.org email in Maintainer field
  * lintian: Override false positive superfluous-file-pattern
  * Use debhelper compatibility level 13
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * Fix cross-builds:
    - d/control: Build-Depend on native liblocale-po-perl, both native
      and host libgtk-3-dev.  Drop perl as we need perl:native which is
      build-essential.
    - d/rules: Pass $(CC), $(LD), $(PKG_CONFIG), --build, and --host to
      configure as appropriate.

 -- Ben Hutchings <benh@debian.org>  Mon, 14 Feb 2022 01:56:24 +0100

sgt-puzzles (20191231.79a5378-3) unstable; urgency=medium

  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2020 14:30:23 +0000

sgt-puzzles (20191231.79a5378-2) unstable; urgency=medium

  * pattern: Fix build failure with fortify and gcc 9 on some architectures

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 31 Jan 2020 14:21:20 +0000

sgt-puzzles (20191231.79a5378-1) unstable; urgency=medium

  * New upstream version (Closes: #925078):
    - Fix build failure reported in gcc 9. (Closes: #925824)
  * debian/control: Point Vcs URLs to Salsa
  * debin/patches: Use git-debrebase to manage changes to upstream source
  * debian/rules, debian/README.source: Use upstream git instead of tarballs
  * debian/rules, debian/control: Build icon files
  * debian/rules: Drop obsolete files from dh_clean arguments
  * debian/rules: Clean up all generated files in dh_auto_clean rule
  * Build additional documentation in top-level directory, not doc/
  * Move PO files from debian/po to po
  * debian/rules: Drop redundant rm from override_dh_auto_configure rule
  * Update Standards-Version to 4.5.0:
    - mkfiles.pl: Change first line to #!/usr/bin/perl
    - debian/control: Set Rules-Requires-Root to no
  * debian/control: Update Recommends to match the help browser search path
  * debian/copyright: Remove obsolete statement about puzzles.chm
  * debian/copyright: Convert to machine-readable format
  * debian/copyright: Update dates, upstream authors, and source URL

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 31 Jan 2020 03:31:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: sgt-puzzles
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
+Maintainer: Ben Hutchings <benh@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 9), halibut, libgtk-3-dev, liblocale-po-perl, perl, po4a, autoconf, automake
-Standards-Version: 4.0.1
+Build-Depends: debhelper-compat (= 13), halibut, libgtk-3-dev, libgtk-3-dev:native, liblocale-po-perl:native, po4a, autoconf, automake, imagemagick
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://www.chiark.greenend.org.uk/~sgtatham/puzzles/
-Vcs-Git: https://git.decadent.org.uk/git/sgt-puzzles.git/
-Vcs-Browser: https://git.decadent.org.uk/gitweb?p=sgt-puzzles.git
+Vcs-Git: https://salsa.debian.org/benh/sgt-puzzles.git
+Vcs-Browser: https://salsa.debian.org/benh/sgt-puzzles
 
 Package: sgt-puzzles
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: yelp | khelpcenter | www-browser
+Recommends: xdg-utils, www-browser
 Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
  Simon Tatham's Portable Puzzle Collection contains a number of popular
  puzzle games for one player.  It currently consists of these games:

=== debian/rules ===
#!/usr/bin/make -f

# We require some bash features
override SHELL := /bin/bash

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildtools.mk

LANGUAGES := en $(patsubst po/%.po,%,$(wildcard po/*.po))

# Files that have version strings substituted in the tarball but never in git
VERSION_SUB_FILES := configure.ac devel.but osx-info.plist puzzles.but version.h

# Commit message for updating them
VERSION_SUB_MSG := "Apply version string substitutions from the tarball"

CFLAGS += -Wno-error=deprecated-declarations

%:
	dh $@ --without autoreconf

# We need to configure and build the executablea twice - once to
# generate the icon files, and a second time using the icon files.

CONFIGURE_ENV := CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -DDEBIAN_VERSION=\"\\\"$(DEB_VERSION)\\\"\"" LDFLAGS="$(LDFLAGS)"
CONFIGURE_OPTS := --prefix=/usr --bindir=/usr/games --program-prefix=sgt-

override_dh_auto_configure:
	./mkfiles.pl
	./mkauto.sh
	$(CONFIGURE_ENV) CC="$(CC_FOR_BUILD)" LD="$(LD_FOR_BUILD)" \
	    PKG_CONFIG="$(PKG_CONFIG_FOR_BUILD)" \
	    ./configure $(CONFIGURE_OPTS) --build=$(DEB_BUILD_GNU_TYPE)
	$(MAKE)
	$(MAKE) -C icons gtkicons pngicons
	$(MAKE) clean
	./mkfiles.pl
	./mkauto.sh
	$(CONFIGURE_ENV) CC="$(CC)" LD="$(LD)" PKG_CONFIG="$(PKG_CONFIG)" \
	    ./configure $(CONFIGURE_OPTS) --build=$(DEB_BUILD_GNU_TYPE) \
	    $(if $(filter-out $(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE)),--host=$(DEB_HOST_GNU_TYPE))

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -f Makefile.doc BINPREFIX=sgt-

# Disable running tests; they are quite slow and don't seem likely to catch
# regressions.
override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/sgt-puzzles install

override_dh_installdocs:
	for lang in $(LANGUAGES); do \
		dh_install html-$$lang/*.html usr/share/sgt-puzzles/help/$$lang \
		|| exit; \
	done
	dh_installdocs

override_dh_installman:
	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} man-$$lang/* || exit; \
	done

override_dh_install:
	dh_install debian/desktop/*.desktop usr/share/applications
	for icon in icons/*-48d24.png; do \
	    base="$$(basename $$icon -48d24.png)" && \
	    install -m644 $$icon debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/sgt-$$base.png \
	    || exit; \
	done

override_dh_auto_clean:
	$(MAKE) -C icons clean
	! [ -f Makefile ] || $(MAKE) distclean
	$(MAKE) -f Makefile.doc clean
	dh_clean $(addprefix Makefile.,am clangcl cyg emcc gnustep gtk in nestedvm osx vc wce) aclocal.m4 compile configure depcomp gamedesc.txt install-sh list.c missing

FORCE:
.PHONY: FORCE

../puzzles.tar.gz: FORCE
	wget -N -O $@ https://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles.tar.gz

../puzzles.tar.version: ../puzzles.tar.gz
	version="$$(tar -xOzf $< --wildcards '*/version.h' | \
		    sed -n 's/^\#define VER "Version \([^ ]*\)"$$/\1/p')" && \
	test "$${version#*.}" != "$$version" &&				\
	echo "$$version" > $@

update-upstream: ../puzzles.tar.gz ../puzzles.tar.version
	version="$$(cat ../puzzles.tar.version)" &&			\
	upstream_commit="$${version#*.}" &&				\
	git tag -m "Upstream version $$version" "upstream/$$version"	\
		"$$upstream_commit" &&					\
	git deborig --version "$$version" &&				\
	git debrebase new-upstream "$$version" &&			\
	tar -xzf $< --strip-components=1 --wildcards			\
		$(addprefix '*/',$(VERSION_SUB_FILES)) &&		\
	version_sub_commit="$$(git rev-list --grep=$(VERSION_SUB_MSG) -F \
			       $$(git debrebase breakwater)..)" &&	\
	git commit -m $${version_sub_commit:+"fixup! "}$(VERSION_SUB_MSG) \
		$(VERSION_SUB_FILES) &&					\
	{ test -z "$$version_sub_commit" || git debrebase -i --autosquash; }

## sgt-puzzles 20220613.387d323

=== debian/changelog ===
sgt-puzzles (20220613.387d323-1) unstable; urgency=medium

  * New upstream version:
    - Stop automatically adding warning flags and -Werror. (Closes: #1013035)
  * d/rules: Prepare for update to upstream version not using autoconf
  * d/control, d/rules: Update for upstream use of CMake
  * Use upstream generated desktop files instead of our own versions
  * lintian: Update overrides for lintian 2.115
  * d/salsa-ci.yml: Remove temporary lintian suppressions

 -- Ben Hutchings <benh@debian.org>  Sun, 31 Jul 2022 02:58:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Ben Hutchings <benh@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper-compat (= 13), halibut, libgtk-3-dev, libgtk-3-dev:native, liblocale-po-perl:native, po4a, autoconf, automake, imagemagick
+Build-Depends: debhelper-compat (= 13), halibut, libgtk-3-dev, libgtk-3-dev:native, liblocale-po-perl:native, po4a, cmake, imagemagick
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://www.chiark.greenend.org.uk/~sgtatham/puzzles/

=== debian/rules ===
#!/usr/bin/make -f

# We require some bash features
override SHELL := /bin/bash

include /usr/share/dpkg/pkg-info.mk

DEB_CFLAGS_MAINT_APPEND := -Wno-error=deprecated-declarations
DEB_CPPFLAGS_MAINT_APPEND := -DDEBIAN_VERSION='\"$(DEB_VERSION)\"'
DPKG_EXPORT_BUILDFLAGS := 1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

LANGUAGES := en $(patsubst po/%.po,%,$(wildcard po/*.po))

# Files that have version strings substituted in the tarball but never in git
VERSION_SUB_FILES := devel.but osx/Info.plist puzzles.but version.h

# Commit message for updating them
VERSION_SUB_MSG := "Apply version string substitutions from the tarball"

%:
	dh $@ --without autoreconf

CMAKE_OPTS := -DNAME_PREFIX=sgt- -DCMAKE_INSTALL_BINDIR=/usr/games

override_dh_auto_configure:
# In a cross-build, we need to first do a native build to generate the
# icon files.  In a fully native build this is done automatically.
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	mkdir -p obj-$(DEB_BUILD_GNU_TYPE)
	cd obj-$(DEB_BUILD_GNU_TYPE) && cmake $(CMAKE_OPTS) ..
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE) VERBOSE=$(if $(filter terse,$(DEB_BUILD_OPTIONS)),0,1)
	cp obj-$(DEB_BUILD_GNU_TYPE)/icons/*-icon.c icons/
endif
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_build:
	dh_auto_build
	cp obj-$(DEB_HOST_GNU_TYPE)/gamedesc.txt .
	$(MAKE) -f Makefile.doc BINPREFIX=sgt-

# Disable running tests; they are quite slow and don't seem likely to catch
# regressions.
override_dh_auto_test:

override_dh_installdocs:
	for lang in $(LANGUAGES); do \
		dh_install html-$$lang/*.html usr/share/sgt-puzzles/help/$$lang \
		|| exit; \
	done
	dh_installdocs

override_dh_installman:
	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} man-$$lang/* || exit; \
	done

override_dh_auto_clean:
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	rm -rf obj-$(DEB_BUILD_GNU_TYPE)
	rm -f icons/*-icon.c
endif
	dh_auto_clean
	rm -f gamedesc.txt
	$(MAKE) -f Makefile.doc clean

FORCE:
.PHONY: FORCE

../puzzles.tar.gz: FORCE
	wget -N -O $@ https://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles.tar.gz

../puzzles.tar.version: ../puzzles.tar.gz
	version="$$(tar -xOzf $< --wildcards '*/version.h' | \
		    sed -n 's/^\#define VER "Version \([^ ]*\)"$$/\1/p')" && \
	test "$${version#*.}" != "$$version" &&				\
	echo "$$version" > $@

update-upstream: ../puzzles.tar.gz ../puzzles.tar.version
	version="$$(cat ../puzzles.tar.version)" &&			\
	upstream_commit="$${version#*.}" &&				\
	git tag -m "Upstream version $$version" "upstream/$$version"	\
		"$$upstream_commit" &&					\
	git deborig --version "$$version" &&				\
	git debrebase new-upstream "$$version" &&			\
	tar -xzf $< --strip-components=1 --wildcards			\
		$(addprefix '*/',$(VERSION_SUB_FILES)) &&		\
	version_sub_commit="$$(git rev-list --grep=$(VERSION_SUB_MSG) -F \
			       $$(git debrebase breakwater)..)" &&	\
	git commit -m $${version_sub_commit:+"fixup! "}$(VERSION_SUB_MSG) \
		$(VERSION_SUB_FILES) &&					\
	{ test -z "$$version_sub_commit" || git debrebase -i --autosquash; }

## sgt-puzzles 20220801.89391ba

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(puzzles
  LANGUAGES C)

include(cmake/setup.cmake)

add_library(common
  combi.c divvy.c drawing.c dsf.c findloop.c grid.c latin.c
  laydomino.c loopgen.c malloc.c matching.c midend.c misc.c penrose.c
  ps.c random.c sort.c tdq.c tree234.c version.c
  ${platform_common_sources})

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

puzzle(blackbox
  DISPLAYNAME "Black Box"
  DESCRIPTION "Ball-finding puzzle"
  OBJECTIVE "Find the hidden balls in the box by bouncing laser beams \
off them.")

puzzle(bridges
  DISPLAYNAME "Bridges"
  DESCRIPTION "Bridge-placing puzzle"
  OBJECTIVE "Connect all the islands with a network of bridges.")

puzzle(cube
  DISPLAYNAME "Cube"
  DESCRIPTION "Rolling cube puzzle"
  OBJECTIVE "Pick up all the blue squares by rolling the cube over them.")

puzzle(dominosa
  DISPLAYNAME "Dominosa"
  DESCRIPTION "Domino tiling puzzle"
  OBJECTIVE "Tile the rectangle with a full set of dominoes.")
solver(dominosa)

puzzle(fifteen
  DISPLAYNAME "Fifteen"
  DESCRIPTION "Sliding block puzzle"
  OBJECTIVE "Slide the tiles around to arrange them into order.")
solver(fifteen)

puzzle(filling
  DISPLAYNAME "Filling"
  DESCRIPTION "Polyomino puzzle"
  OBJECTIVE "Mark every square with the area of its containing region.")
solver(filling)

puzzle(flip
  DISPLAYNAME "Flip"
  DESCRIPTION "Tile inversion puzzle"
  OBJECTIVE "Flip groups of squares to light them all up at once.")

puzzle(flood
  DISPLAYNAME "Flood"
  DESCRIPTION "Flood-filling puzzle"
  OBJECTIVE "Turn the grid the same colour in as few flood fills as possible.")

puzzle(galaxies
  DISPLAYNAME "Galaxies"
  DESCRIPTION "Symmetric polyomino puzzle"
  OBJECTIVE "Divide the grid into rotationally symmetric regions each \
centred on a dot.")
solver(galaxies)
cliprogram(galaxiespicture galaxies.c
  COMPILE_DEFINITIONS STANDALONE_PICTURE_GENERATOR)
guiprogram(galaxieseditor galaxies.c
  COMPILE_DEFINITIONS EDITOR)

puzzle(guess
  DISPLAYNAME "Guess"
  DESCRIPTION "Combination-guessing puzzle"
  OBJECTIVE "Guess the hidden combination of colours.")

puzzle(inertia
  DISPLAYNAME "Inertia"
  DESCRIPTION "Gem-collecting puzzle"
  OBJECTIVE "Collect all the gems without running into any of the mines.")

puzzle(keen
  DISPLAYNAME "Keen"
  DESCRIPTION "Arithmetic Latin square puzzle"
  OBJECTIVE "Complete the latin square in accordance with the \
arithmetic clues.")
solver(keen latin.c)

puzzle(lightup
  DISPLAYNAME "Light Up"
  DESCRIPTION "Light-bulb placing puzzle"
  OBJECTIVE "Place bulbs to light up all the squares.")
solver(lightup)

puzzle(loopy
  DISPLAYNAME "Loopy"
  DESCRIPTION "Loop-drawing puzzle"
  OBJECTIVE "Draw a single closed loop, given clues about number of \
adjacent edges.")
solver(loopy)

puzzle(magnets
  DISPLAYNAME "Magnets"
  DESCRIPTION "Magnet-placing puzzle"
  OBJECTIVE "Place magnets to satisfy the clues and avoid like poles \
touching.")
solver(magnets)

puzzle(map
  DISPLAYNAME "Map"
  DESCRIPTION "Map-colouring puzzle"
  OBJECTIVE "Colour the map so that adjacent regions are never the \
same colour.")
solver(map)

puzzle(mines
  DISPLAYNAME "Mines"
  DESCRIPTION "Mine-finding puzzle"
  OBJECTIVE "Find all the mines without treading on any of them.")
cliprogram(mineobfusc mines.c COMPILE_DEFINITIONS STANDALONE_OBFUSCATOR)

puzzle(mosaic
  DISPLAYNAME "Mosaic"
  DESCRIPTION "Grid-filling puzzle"
  OBJECTIVE "Fill in the grid given clues about number of \
nearby black squares.")

puzzle(net
  # The Windows Net shouldn't be called 'net.exe', since Windows
  # already has a reasonably important utility program by that name!
  WINDOWS_EXE_NAME netgame

  DISPLAYNAME "Net"
  DESCRIPTION "Network jigsaw puzzle"
  OBJECTIVE "Rotate each tile to reassemble the network.")

puzzle(netslide
  DISPLAYNAME "Netslide"
  DESCRIPTION "Toroidal sliding network puzzle"
  OBJECTIVE "Slide a row at a time to reassemble the network.")

puzzle(nullgame)

puzzle(palisade
  DISPLAYNAME "Palisade"
  DESCRIPTION "Grid-division puzzle"
  OBJECTIVE "Divide the grid into equal-sized areas in accordance with\
 the clues.")

puzzle(pattern
  DISPLAYNAME "Pattern"
  DESCRIPTION "Pattern puzzle"
  OBJECTIVE "Fill in the pattern in the grid, given only the lengths \
of runs of black squares.")
solver(pattern)
cliprogram(patternpicture pattern.c
  COMPILE_DEFINITIONS STANDALONE_PICTURE_GENERATOR)

puzzle(pearl
  DISPLAYNAME "Pearl"
  DESCRIPTION "Loop-drawing puzzle"
  OBJECTIVE "Draw a single closed loop, given clues about corner and \
straight squares.")
solver(pearl)
cliprogram(pearlbench pearl.c COMPILE_DEFINITIONS STANDALONE_SOLVER)

puzzle(pegs
  DISPLAYNAME "Pegs"
  DESCRIPTION "Peg solitaire puzzle"
  OBJECTIVE "Jump pegs over each other to remove all but one.")

puzzle(range
  DISPLAYNAME "Range"
  DESCRIPTION "Visible-distance puzzle"
  OBJECTIVE "Place black squares to limit the visible distance from \
each numbered cell.")

puzzle(rect
  DISPLAYNAME "Rectangles"
  DESCRIPTION "Rectangles puzzle"
  OBJECTIVE "Divide the grid into rectangles with areas equal to the \
numbers.")

puzzle(samegame
  DISPLAYNAME "Same Game"
  DESCRIPTION "Block-clearing puzzle"
  OBJECTIVE "Clear the grid by removing touching groups of the same \
colour squares.")

puzzle(signpost
  DISPLAYNAME "Signpost"
  DESCRIPTION "Square-connecting puzzle"
  OBJECTIVE "Connect the squares into a path following the arrows.")
solver(signpost)

puzzle(singles
  DISPLAYNAME "Singles"
  DESCRIPTION "Number-removing puzzle"
  OBJECTIVE "Black out the right set of duplicate numbers.")
solver(singles)

puzzle(sixteen
  DISPLAYNAME "Sixteen"
  DESCRIPTION "Toroidal sliding block puzzle"
  OBJECTIVE "Slide a row at a time to arrange the tiles into order.")

puzzle(slant
  DISPLAYNAME "Slant"
  DESCRIPTION "Maze-drawing puzzle"
  OBJECTIVE "Draw a maze of slanting lines that matches the clues.")
solver(slant)

puzzle(solo
  DISPLAYNAME "Solo"
  DESCRIPTION "Number placement puzzle"
  OBJECTIVE "Fill in the grid so that each row, column and square \
block contains one of every digit.")
solver(solo)

puzzle(tents
  DISPLAYNAME "Tents"
  DESCRIPTION "Tent-placing puzzle"
  OBJECTIVE "Place a tent next to each tree.")
solver(tents)

puzzle(towers
  DISPLAYNAME "Towers"
  DESCRIPTION "Tower-placing Latin square puzzle"
  OBJECTIVE "Complete the latin square of towers in accordance with \
the clues.")
solver(towers latin.c)

puzzle(tracks
  DISPLAYNAME "Tracks"
  DESCRIPTION "Path-finding railway track puzzle"
  OBJECTIVE "Fill in the railway track according to the clues.")
solver(tracks)

puzzle(twiddle
  DISPLAYNAME "Twiddle"
  DESCRIPTION "Rotational sliding block puzzle"
  OBJECTIVE "Rotate the tiles around themselves to arrange them into order.")

puzzle(undead
  DISPLAYNAME "Undead"
  DESCRIPTION "Monster-placing puzzle"
  OBJECTIVE "Place ghosts, vampires and zombies so that the right \
numbers of them can be seen in mirrors.")

puzzle(unequal
  DISPLAYNAME "Unequal"
  DESCRIPTION "Latin square puzzle"
  OBJECTIVE "Complete the latin square in accordance with the > signs.")
solver(unequal latin.c)

puzzle(unruly
  DISPLAYNAME "Unruly"
  DESCRIPTION "Black and white grid puzzle"
  OBJECTIVE "Fill in the black and white grid to avoid runs of three.")
solver(unruly)

puzzle(untangle
  DISPLAYNAME "Untangle"
  DESCRIPTION "Planar graph layout puzzle"
  OBJECTIVE "Reposition the points so that the lines do not cross.")

add_subdirectory(unfinished)

cliprogram(obfusc obfusc.c)
cliprogram(latincheck latin.c COMPILE_DEFINITIONS STANDALONE_LATIN_TEST)
cliprogram(matching matching.c COMPILE_DEFINITIONS STANDALONE_MATCHING_TEST)
cliprogram(combi combi.c COMPILE_DEFINITIONS STANDALONE_COMBI_TEST)
cliprogram(divvy divvy.c COMPILE_DEFINITIONS TESTMODE)
cliprogram(penrose-test penrose.c COMPILE_DEFINITIONS TEST_PENROSE)
cliprogram(penrose-vector-test penrose.c COMPILE_DEFINITIONS TEST_VECTORS)
cliprogram(sort-test sort.c COMPILE_DEFINITIONS SORT_TEST)
cliprogram(tree234-test tree234.c COMPILE_DEFINITIONS TEST)

build_extras()

=== debian/changelog ===
sgt-puzzles (20220801.89391ba-1) unstable; urgency=medium

  * New upstream version
  * d/control: Update list of games in description
  * d/rules: Split update-upstream target in two to allow for failed rebase
  * Update German translation, thanks to Helge Kreutzmann
  * Re-fix the GTK dark theme check.
  * mkmanpages.pl: Use translated short description in the NAME section

 -- Ben Hutchings <benh@debian.org>  Mon, 01 Aug 2022 22:17:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -79,17 +79,25 @@
 	test "$${version#*.}" != "$$version" &&				\
 	echo "$$version" > $@
 
-update-upstream: ../puzzles.tar.gz ../puzzles.tar.version
+# Updating to a new upstream includes a rebase which will often
+# require manual fixup.  Split the commands into two targets so it's
+# possible to continue after that point.
+update-upstream:
+	debian/rules update-upstream-1
+	debian/rules update-upstream-2
+update-upstream-1: ../puzzles.tar.gz ../puzzles.tar.version
 	version="$$(cat ../puzzles.tar.version)" &&			\
 	upstream_commit="$${version#*.}" &&				\
 	git tag -m "Upstream version $$version" "upstream/$$version"	\
 		"$$upstream_commit" &&					\
 	git deborig --version "$$version" &&				\
-	git debrebase new-upstream "$$version" &&			\
-	tar -xzf $< --strip-components=1 --wildcards			\
+	git debrebase new-upstream "$$version"
+update-upstream-2:
+	tar -xzf ../puzzles.tar.gz --strip-components=1 --wildcards	\
 		$(addprefix '*/',$(VERSION_SUB_FILES)) &&		\
 	version_sub_commit="$$(git rev-list --grep=$(VERSION_SUB_MSG) -F \
 			       $$(git debrebase breakwater)..)" &&	\
 	git commit -m $${version_sub_commit:+"fixup! "}$(VERSION_SUB_MSG) \
 		$(VERSION_SUB_FILES) &&					\
 	{ test -z "$$version_sub_commit" || git debrebase -i --autosquash; }
+.PHONY: update-upstream%

## sgt-puzzles 20230122.806ae71

=== CMakeLists.txt ===
--- 
+++ 
@@ -275,4 +275,11 @@
 cliprogram(sort-test sort.c COMPILE_DEFINITIONS SORT_TEST)
 cliprogram(tree234-test tree234.c COMPILE_DEFINITIONS TEST)
 
+write_generated_games_header()
+cliprogram(fuzzpuzz fuzzpuzz.c list.c ${puzzle_sources}
+  COMPILE_DEFINITIONS COMBINED)
+if(build_cli_programs)
+  target_include_directories(fuzzpuzz PRIVATE ${generated_include_dir})
+endif()
+
 build_extras()

=== debian/changelog ===
sgt-puzzles (20230122.806ae71-2) unstable; urgency=medium

  * Fix various security issues in game loading (Closes: #1034190):
    - Black Box: reject negative ball counts in game_params.
    - Add validate_params bounds checks in a few more games.
    - Don't allow Bridges games with < 2 islands
    - Forbid moves that fill with the current colour in Flood
    - Cleanly reject ill-formed solve moves in Flood
    - Don't segfault on premature solve moves in Mines
    - Limit number of mines in Mines game description
    - Validate the number of pegs and holes in a Pegs game ID
    - Mines: forbid moves that flag or unflag an exposed square
    - Mines: Don't check if the player has won if they've already lost
    - Avoid invalid moves when solving Tracks
    - Fix move validation in Netslide
    - Tighten validation of Tents game descriptions
    - Dominosa: require the two halves of a domino to be adjacent
    - Forbid lines off the grid in Pearl
    - Tolerate incorrect solutions in Inertia
    - Palisade: replace dfs_dsf() with a simple iteration.
    - latin_solver_alloc: handle clashing numbers in input grid.
    - Pearl: fix assertion failure on bad puzzle.
    - Pearl: fix bounds check in previous commit.
    - Unequal: Don't insist that solve moves must actually solve
    - Range: Don't fail an assertion on an all-black board
    - Limit width and height to SHRT_MAX in Mines
    - Mines: Add assertions to range-check conversions to short
    - Unequal: fix sense error in latin_solver_alloc fix.
    - Forbid impossible moves in Bridges
    - Forbid game descriptions with joined islands in Bridges
    - Check state is valid at the end of a move in Pearl
    - Cleanly reject more ill-formed solve moves in Flood
    - Don't allow moves that change the constraints in Unequal
    - Fix memory leaks in Keen's validate_desc()
    - Remember to free the actual_board array in Mosaic
    - Don't leak grids in Loopy's validate_desc()
    - Remember to free the to_draw member from Net's drawstate
    - Undead: check the return value of sscanf() in execute_move()
    - Don't leak duplicate edges in Untangle
    - Remember to free the numcolours array from Pattern's drawstate
    - Free new game_state properly in Mosaic's execute_move()
    - Twiddle: don't read off the end of parameter strings ending 'm'
    - Loopy: free the grid description string if it's invalid
    - Mosaic: don't duplicate the description being validated
    - Avoid division by zero in Cube grid-size checks
    - Validate that save file values are ASCII (mostly)
    - More validation of solve moves in Flood
    - Make sure that moves in Flood use only valid colours
    - Tighten grid-size limit in Mines
    - Tracks: set drag_s{x,y} even if starting off-grid
    - Undead: be a bit more careful about sprintf buffer sizes
    - Fix memory leak in midend_game_id_int()
    - Flood: don't read off the end of some parameter strings
    - Be more careful with type of left operand of <<
    - Map: reduce maximum size
    - Correctly handle some short save files
    - Inertia: insist that solutions must be non-empty
    - Galaxies: fix recursion depth limit in solver.
    - Correct a range check in Magnets' layout verification
    - Magnets: add a check that magnets don't wrap between lines
    - Net: assert that cx and cy are in range in compute_active()
    - Don't allow zero clues in Pattern
  * Solo: cope with pencil marks when tilesize == 1 (Closes: #905852)

 -- Ben Hutchings <benh@debian.org>  Sun, 16 Apr 2023 21:19:11 +0200

sgt-puzzles (20230122.806ae71-1) unstable; urgency=medium

  * New upstream version:
    - Multiple fixes for integer overflow and buffer overflow issues in game
      loading (Closes: #1028986)
  * Install 96x96 application icons (Closes: #887982)
  * Use po4a-updatepo instead of po4a-gettextize
  * Update German translation.
    Thanks to Helge Kreutzmann (Closes: #1018235)

 -- Ben Hutchings <benh@debian.org>  Tue, 24 Jan 2023 03:09:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 
 # Files that have version strings substituted in the tarball but never in git
 VERSION_SUB_FILES := devel.but osx/Info.plist puzzles.but version.h
-
-# Commit message for updating them
-VERSION_SUB_MSG := "Apply version string substitutions from the tarball"
 
 %:
 	dh $@ --without autoreconf
@@ -86,18 +83,17 @@
 	debian/rules update-upstream-1
 	debian/rules update-upstream-2
 update-upstream-1: ../puzzles.tar.gz ../puzzles.tar.version
+	test .pc && quilt pop -a
 	version="$$(cat ../puzzles.tar.version)" &&			\
 	upstream_commit="$${version#*.}" &&				\
 	git tag -m "Upstream version $$version" "upstream/$$version"	\
 		"$$upstream_commit" &&					\
 	git deborig --version "$$version" &&				\
-	git debrebase new-upstream "$$version"
+	git merge "$$version"
 update-upstream-2:
+	QUILT_PATCHES=debian/patches quilt push 0001-Apply-version-string-substitutions-from-the-tarball.patch
 	tar -xzf ../puzzles.tar.gz --strip-components=1 --wildcards	\
-		$(addprefix '*/',$(VERSION_SUB_FILES)) &&		\
-	version_sub_commit="$$(git rev-list --grep=$(VERSION_SUB_MSG) -F \
-			       $$(git debrebase breakwater)..)" &&	\
-	git commit -m $${version_sub_commit:+"fixup! "}$(VERSION_SUB_MSG) \
-		$(VERSION_SUB_FILES) &&					\
-	{ test -z "$$version_sub_commit" || git debrebase -i --autosquash; }
-.PHONY: update-upstream%
+		$(addprefix '*/',$(VERSION_SUB_FILES))
+	quilt refresh
+	quilt push -a
+.PHONY: update-upstream
